Debian Bug report logs - #440272
python2.4: md5.so symbols conflict with libmhash2

version graph

Package: python2.4; Maintainer for python2.4 is (unknown);

Reported by: Jonathan Ballet <jon@multani.info>

Date: Mon, 19 Feb 2007 12:42:01 UTC

Severity: important

Tags: patch

Fixed in version python2.4/2.4.4-7

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#411487; Package libapache2-mod-python. Full text and rfc822 format available.

Acknowledgement sent to Jonathan Ballet <jon@multani.info>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Ballet <jon@multani.info>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libapache2-mod-python: md5 calculation conflicts with php5-mhash module
Date: Mon, 19 Feb 2007 13:38:10 +0100
[Message part 1 (text/plain, inline)]
Package: libapache2-mod-python
Version: 3.2.10-3
Severity: important

Hello,

I wanted to deploy a new Django application today, but it didn't work :(
It failed with a SuspiciousOperation exception, which appears to be
related to sessions, which in turns use md5.

You can find some reference to this bug, already reported on the
mod_python mailing list in [1], and a workaround in [2].



I join the test case from [1] in this bug :
 - with php5-mhash installed and activated in Apache, all tests failed
 - after purging php5-mhash AND restarting Apache, all tests passed

So, it seems it's directly related to libmhash2 (as [2] suggests).

I can reproduce on sid-i386. On etch-x86_64, it seems that Apache2
segfault (without php5-mhash, everything is ok) :
================
[Mon Feb 19 13:31:10 2007] [notice] mod_python: (Re)importing module 'test'
[Mon Feb 19 13:31:10 2007] [notice] child pid 16238 exit signal Segmentation fault (11)
================



I think this bug is RC-critical for Etch. However, I'll let
libapache2-mod-python maintainers tag it as appropriate.
I report against libapache2-mod-python, since this is the package
which seems to be affected by the bug. However, feel free to reassign
to php5-mhash or libmhash2.


Thanks !
 - Jonathan


[1] : http://www.modpython.org/pipermail/mod_python/2006-June/021482.html
[2] : http://www.modpython.org/pipermail/mod_python/2006-July/021544.html


-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18.2-rtsp-jon
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages libapache2-mod-python depends on:
ii  apache2                     2.2.3-3.2    Next generation, scalable, extenda
ii  apache2-mpm-prefork [apache 2.2.3-3.2    Traditional model for Apache HTTPD
ii  apache2.2-common            2.2.3-3.2    Next generation, scalable, extenda
ii  debconf [debconf-2.0]       1.5.11       Debian configuration management sy
ii  libc6                       2.3.6.ds1-11 GNU C Library: Shared libraries
ii  python                      2.4.4-2      An interactive high-level object-o
ii  python-central              0.5.12       register and build utility for Pyt
ii  python2.4                   2.4.4-2      An interactive high-level object-o

libapache2-mod-python recommends no packages.

-- debconf information excluded
[test.py (text/x-java, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#411487; Package libapache2-mod-python. Full text and rfc822 format available.

Acknowledgement sent to Fabien <fabien.ubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 411487@bugs.debian.org (full text, mbox):

From: Fabien <fabien.ubuntu@gmail.com>
To: 411487@bugs.debian.org
Subject: mod_python + php5-mhash + trac give segmentation fault
Date: Wed, 15 Aug 2007 10:53:38 +0200
Hello,

After spending a couple of hours to understand why trac wasn't working 
on 2 similar configurations (debian etch amd64), I finally found that 
php5-mhash module was the problem.

So, I guess it's around the same issue that the 1st bug reported...


What I have : debian etch amd64 version fully up-to-date on AMD 64 bit 
processors

How to reproduce the problem :
1) Install libapache2-mod-python libapache2-mod-php5 php5-mhash and trac

2) Setup a minimal trac under www-data, eg :
$ trac-admin /var/trac/myproject initenv

(accept all defaults, just press enter)

3) Setup a minimal mod_python + trac configuration in apache2, edit 
httpd.conf and and the following :

<Location /projects/myproject>
   SetHandler mod_python
   PythonInterpreter main_interpreter
   PythonHandler trac.web.modpython_frontend
   PythonOption TracEnv /var/trac/myproject
   PythonOption TracUriRoot /projects/myproject
</Location>

4) Restart apache and try to go to http://localhost/projects/myproject
You shoud get a apache2 segfault

Note: if you already have a running trac, you'd better to use telnet 
localhost 80 because a running browser session may prevent you from 
seeing the problem...

Removing php5-mhash solves the issue.

--
Fabien



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#411487; Package libapache2-mod-python. Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 411487@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: Graham Dumpleton <graham.dumpleton@gmail.com>
Cc: 433038@bugs.debian.org, 411487@bugs.debian.org, mod_python <mod_python@modpython.org>
Subject: Re: Debian bug#433038: mod_python collides with mod_php5
Date: Fri, 31 Aug 2007 02:53:36 -0400
Graham Dumpleton wrote:
> More information. In libmhash2 it has:
> 
> lib/.libs/libmhash.a(md5.o):
> 00000a60 T _MD5Final
> 00000000 T _MD5Init
> 00000040 T _MD5Transform
> 00000940 T _MD5Update
>          U _mutils_bzero
>          U _mutils_memcpy
>          U _mutils_word32nswap
>          U dyld_stub_binding_helper
> 
> In Python (<2.5), it has its own md5c.c file. If this is compiled
> correctly, it should end up with:
> 
> 00001288 T __Py_MD5Final
> 00001174 T __Py_MD5Init
> 000011b4 T __Py_MD5Update
> 
> Ie., Python should prefix the symbols so there is no clash.
> 
> You should check that this prefixing is actually occurring by doing an
> nm on md5.so in Python modules directory. If it isn't, that could be
> the problem.

It looks like this is not the case --

edmonds@chase{0}:~$ nm -D /usr/lib/python2.4/lib-dynload/md5.so | grep MD5
0000000000001b30 T MD5Final
0000000000001380 T MD5Init
00000000000013b0 T MD5Transform
0000000000001c10 T MD5Update

edmonds@chase{0}:~$ nm -D /usr/lib/libmhash.so.2 | grep MD5
00000000000069b0 T MD5Final
0000000000006200 T MD5Init
0000000000006230 T MD5Transform
0000000000006a80 T MD5Update

I guess this is the root cause of Debian bug #411487, but it looks like
the submitter of #433038 still experiences his problem even when
libmhash is not loaded into the apache process.

-- 
Robert Edmonds
edmonds@debian.org



Bug 411487 cloned as bug 440272. Request was from Robert Edmonds <edmonds@debian.org> to control@bugs.debian.org. (Fri, 31 Aug 2007 07:09:01 GMT) Full text and rfc822 format available.

Blocking bugs of 411487 added: 440272 Request was from Robert Edmonds <edmonds@debian.org> to control@bugs.debian.org. (Fri, 31 Aug 2007 07:09:03 GMT) Full text and rfc822 format available.

Changed Bug title to `python2.4: md5.so symbols conflict with libmhash2' from `libapache2-mod-python: md5 calculation conflicts with php5-mhash module'. Request was from Robert Edmonds <edmonds@debian.org> to control@bugs.debian.org. (Fri, 31 Aug 2007 07:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#440272; Package libapache2-mod-python. Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #26 received at 440272@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: 440272@bugs.debian.org, control@bugs.debian.org
Subject: python2.4: md5.so symbols conflict with libmhash2
Date: Fri, 31 Aug 2007 03:15:23 -0400
[Message part 1 (text/plain, inline)]
reassign 440272 python2.4
thanks

Hi,

python2.4's md5.so module contains identical symbols to those used in
libmhash.so.2.  This causes spectacular failures for
libapache2-mod-python users when apache under certain conditions tries
to load both of these DSOs.  Is it possible for the symbols in
python2.4's md5.so module to be munged, as the mod_python upstream
claims they should be?

edmonds@chase{0}:~$ nm -D /usr/lib/python2.4/lib-dynload/md5.so | grep MD5
0000000000001b30 T MD5Final
0000000000001380 T MD5Init
00000000000013b0 T MD5Transform
0000000000001c10 T MD5Update

edmonds@chase{0}:~$ nm -D /usr/lib/libmhash.so.2 | grep MD5
00000000000069b0 T MD5Final
0000000000006200 T MD5Init
0000000000006230 T MD5Transform
0000000000006a80 T MD5Update

-- 
Robert Edmonds
edmonds@debian.org
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `libapache2-mod-python' to `python2.4'. Request was from Robert Edmonds <edmonds@debian.org> to control@bugs.debian.org. (Fri, 31 Aug 2007 07:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#440272; Package python2.4. Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #33 received at 440272@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: Graham Dumpleton <graham.dumpleton@gmail.com>
Cc: 440272@bugs.debian.org, control@bugs.debian.org, mod_python <mod_python@modpython.org>
Subject: Re: Debian bug#433038: mod_python collides with mod_php5
Date: Fri, 31 Aug 2007 04:46:12 -0400
[Message part 1 (text/plain, inline)]
tags 440272 + patch
thanks

Graham Dumpleton wrote:
> I think I know what may have gone wrong here.
> 
> In Python source code there is md5c.c and md5.h. In the md5.h file it has:
> 
> /* Rename all exported symbols to avoid conflicts with similarly named
>    symbols in some systems' standard C libraries... */
> 
> #define MD5Init _Py_MD5Init
> #define MD5Update _Py_MD5Update
> #define MD5Final _Py_MD5Final
> 
> void MD5Init(MD5_CTX *);
> void MD5Update(MD5_CTX *, unsigned char *, unsigned int);
> void MD5Final(unsigned char [16], MD5_CTX *);
> 
> If when the Python package was Debianised, whoever did it added
> additional -I flags at the start of the CPPFLAGS passed to the
> compiler such that instead of picking up md5.h from the Python source
> directory, it picked up one from some system include directory, or
> from another package, then the symbols would not have been namespace
> prefixed like they should have.
> 
> As a result, just for Debian package of Python, the symbols wouldn't
> be namespaced and thus why this problem only appears on Linux systems
> derived from Debian packages.
> 
> The only way therefore of fixing this may be to review the Debian
> package build scripts around Python to see if they do do something
> with -I as a described. Simple fix may then be to append the -I flags
> rather than prepend them. Otherwise, would be necessary to patch
> md5c.c in Python source code to move the #defines into it just before
> "md5.h" is included. That way the namespace prefixing will occur even
> if wrong "md5.h" is included. One would hope though in this case that
> the "md5.h" file actually used is compatible with the md5c.c file in
> Python.
> 
> Graham

I'll offer an alternate theory.  From the python2.4 Debian changelog,

python2.4 (2.4dfsg-1) unstable; urgency=medium
[...]

  * Replace md5 implementation with one having a DFSG conforming license.

[...]
 -- Matthias Klose <doko@debian.org>  Tue,  8 Feb 2005 19:13:10 +0100

This implementation doesn't have the #define re-definitions, and
unfortunately uses the same MD5* symbols used in other DSOs.  This patch
ought to fix that.  Build-tested; the symbols are properly re-defined
and the md5 module still works.


--- python2.4-2.4.4/Modules/md5.h.orig	2007-08-31 04:32:55.778928580 -0400
+++ python2.4-2.4.4/Modules/md5.h	2007-08-31 04:33:34.997163501 -0400
@@ -45,6 +45,14 @@
 	UWORD32 in[16];
 };
 
+/* Rename all exported symbols to avoid conflicts with similarly named
+   symbols in other libraries */
+
+#define MD5Init _PyDFSG_MD5Init
+#define MD5Update _PyDFSG_MD5Update
+#define MD5Final _PyDFSG_MD5Final
+#define MD5Transform _PyDFSG_MD5Transform
+
 void MD5Init(struct MD5Context *context);
 void MD5Update(struct MD5Context *context, md5byte const *buf, unsigned len);
 void MD5Final(unsigned char digest[16], struct MD5Context *context);

-- 
Robert Edmonds
edmonds@debian.org
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Robert Edmonds <edmonds@debian.org> to control@bugs.debian.org. (Fri, 31 Aug 2007 08:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#440272; Package python2.4. Full text and rfc822 format available.

Acknowledgement sent to "Graham Dumpleton" <graham.dumpleton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #40 received at 440272@bugs.debian.org (full text, mbox):

From: "Graham Dumpleton" <graham.dumpleton@gmail.com>
To: "Robert Edmonds" <edmonds@debian.org>
Cc: 440272@bugs.debian.org, control@bugs.debian.org, mod_python <mod_python@modpython.org>
Subject: Re: Debian bug#433038: mod_python collides with mod_php5
Date: Fri, 31 Aug 2007 19:05:52 +1000
On 31/08/2007, Robert Edmonds <edmonds@debian.org> wrote:
> tags 440272 + patch
> thanks
>
> Graham Dumpleton wrote:
> > I think I know what may have gone wrong here.
> >
> > In Python source code there is md5c.c and md5.h. In the md5.h file it has:
> >
> > /* Rename all exported symbols to avoid conflicts with similarly named
> >    symbols in some systems' standard C libraries... */
> >
> > #define MD5Init _Py_MD5Init
> > #define MD5Update _Py_MD5Update
> > #define MD5Final _Py_MD5Final
> >
> > void MD5Init(MD5_CTX *);
> > void MD5Update(MD5_CTX *, unsigned char *, unsigned int);
> > void MD5Final(unsigned char [16], MD5_CTX *);
> >
> > If when the Python package was Debianised, whoever did it added
> > additional -I flags at the start of the CPPFLAGS passed to the
> > compiler such that instead of picking up md5.h from the Python source
> > directory, it picked up one from some system include directory, or
> > from another package, then the symbols would not have been namespace
> > prefixed like they should have.
> >
> > As a result, just for Debian package of Python, the symbols wouldn't
> > be namespaced and thus why this problem only appears on Linux systems
> > derived from Debian packages.
> >
> > The only way therefore of fixing this may be to review the Debian
> > package build scripts around Python to see if they do do something
> > with -I as a described. Simple fix may then be to append the -I flags
> > rather than prepend them. Otherwise, would be necessary to patch
> > md5c.c in Python source code to move the #defines into it just before
> > "md5.h" is included. That way the namespace prefixing will occur even
> > if wrong "md5.h" is included. One would hope though in this case that
> > the "md5.h" file actually used is compatible with the md5c.c file in
> > Python.
> >
> > Graham
>
> I'll offer an alternate theory.  From the python2.4 Debian changelog,
>
> python2.4 (2.4dfsg-1) unstable; urgency=medium
> [...]
>
>   * Replace md5 implementation with one having a DFSG conforming license.
>
> [...]
>  -- Matthias Klose <doko@debian.org>  Tue,  8 Feb 2005 19:13:10 +0100
>
> This implementation doesn't have the #define re-definitions, and
> unfortunately uses the same MD5* symbols used in other DSOs.  This patch
> ought to fix that.  Build-tested; the symbols are properly re-defined
> and the md5 module still works.
>
>
> --- python2.4-2.4.4/Modules/md5.h.orig  2007-08-31 04:32:55.778928580 -0400
> +++ python2.4-2.4.4/Modules/md5.h       2007-08-31 04:33:34.997163501 -0400
> @@ -45,6 +45,14 @@
>         UWORD32 in[16];
>  };
>
> +/* Rename all exported symbols to avoid conflicts with similarly named
> +   symbols in other libraries */
> +
> +#define MD5Init _PyDFSG_MD5Init
> +#define MD5Update _PyDFSG_MD5Update
> +#define MD5Final _PyDFSG_MD5Final
> +#define MD5Transform _PyDFSG_MD5Transform
> +
>  void MD5Init(struct MD5Context *context);
>  void MD5Update(struct MD5Context *context, md5byte const *buf, unsigned len);
>  void MD5Final(unsigned char digest[16], struct MD5Context *context);

Yeah, was thinking afterwards whether that might have been the case as
couldn't otherwise account for the MD5Transform function appearing as
that was made static in Python source code.

FWIW, I have updated by mod_wsgi documentation describing the problem.
See 'Python MD5 Hash Module Conflict' in:

  http://code.google.com/p/modwsgi/wiki/ApplicationIssues

Thanks for helping to track this problem. This has been hanging around
for a while, but we have never got enough information back from people
to identify exactly what the problem was caused by.

Graham



Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jonathan Ballet <jon@multani.info>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 440272-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 440272-close@bugs.debian.org
Subject: Bug#440272: fixed in python2.4 2.4.4-7
Date: Thu, 03 Jan 2008 13:02:05 +0000
Source: python2.4
Source-Version: 2.4.4-7

We believe that the bug you reported is fixed in the latest version of
python2.4, which is due to be installed in the Debian FTP archive:

idle-python2.4_2.4.4-7_all.deb
  to pool/main/p/python2.4/idle-python2.4_2.4.4-7_all.deb
python2.4-dbg_2.4.4-7_i386.deb
  to pool/main/p/python2.4/python2.4-dbg_2.4.4-7_i386.deb
python2.4-dev_2.4.4-7_i386.deb
  to pool/main/p/python2.4/python2.4-dev_2.4.4-7_i386.deb
python2.4-examples_2.4.4-7_all.deb
  to pool/main/p/python2.4/python2.4-examples_2.4.4-7_all.deb
python2.4-minimal_2.4.4-7_i386.deb
  to pool/main/p/python2.4/python2.4-minimal_2.4.4-7_i386.deb
python2.4_2.4.4-7.diff.gz
  to pool/main/p/python2.4/python2.4_2.4.4-7.diff.gz
python2.4_2.4.4-7.dsc
  to pool/main/p/python2.4/python2.4_2.4.4-7.dsc
python2.4_2.4.4-7_i386.deb
  to pool/main/p/python2.4/python2.4_2.4.4-7_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 440272@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python2.4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 30 Dec 2007 18:38:05 +0100
Source: python2.4
Binary: python2.4-doc python2.4-dev python2.4-minimal python2.4-dbg python2.4 idle-python2.4 python2.4-examples
Architecture: source all i386
Version: 2.4.4-7
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 idle-python2.4 - An IDE for Python (v2.4) using Tkinter
 python2.4  - An interactive high-level object-oriented language (version 2.4)
 python2.4-dbg - Debug Build of the Python Interpreter (version 2.4)
 python2.4-dev - Header files and a static library for Python (v2.4)
 python2.4-examples - Examples for the Python language (v2.4)
 python2.4-minimal - A minimal subset of the Python language (version 2.4)
Closes: 439271 440272 443335 453346
Changes: 
 python2.4 (2.4.4-7) unstable; urgency=low
 .
   * SVN update up to 2007-12-23.
   * Register binfmt for .py[co] files.
   * Use -fwrapv when GCC supports it.
   * Rename all exported symbols to avoid conflicts with similarly named
     symbols in other libraries (Robert Edmonds). Closes: #440272.
   * Use absolute paths when byte-compiling files. Closes: #453346.
   * CVE-2007-4965, http://bugs.python.org/issue1179:
     Multiple integer overflows in the imageop module in Python 2.5.1 and
     earlier allow context-dependent attackers to cause a denial of service
     (application crash) and possibly obtain sensitive information (memory
     contents) via crafted arguments to (1) the tovideo method, and unspecified
     other vectors related to (2) imageop.c, (3) rbgimgmodule.c, and other
     files, which trigger heap-based buffer overflows.
     Patch prepared by Stephan Herrmann. Closes: #443335, LP: #163845.
   * Remove deprecated value from categories in desktop file. LP: #172874.
   * python2.4-dbg: Don't include the gdbm and _tkinter extensions, now provided
     in separate packages.
   * Provide a symlink changelog -> NEWS. Closes: #439271.
Files: 
 2c26882495f6ca3521107f2a196bd7cb 1269 python optional python2.4_2.4.4-7.dsc
 5650fe4366af2396a1fd4feb5ecd082d 213969 python optional python2.4_2.4.4-7.diff.gz
 43ee1808b9b74eec48db457ddc823100 593880 python optional python2.4-examples_2.4.4-7_all.deb
 a932ef7a478271faf40ad285e86e9abf 62378 python optional idle-python2.4_2.4.4-7_all.deb
 9a34de0ded121beb240defbd52609196 2814132 python optional python2.4_2.4.4-7_i386.deb
 74eb254cca1234541610dfe7d20db6c2 979190 python optional python2.4-minimal_2.4.4-7_i386.deb
 11b8c38f9bf89422170bb1eab20c8290 1473460 python optional python2.4-dev_2.4.4-7_i386.deb
 633a00056ea4a78c44ea86c9c1a5f02c 6308024 python extra python2.4-dbg_2.4.4-7_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHfNsyStlRaw+TLJwRAklfAJ4kIMPIIPBnOyNG80AQvwNCUkoYtgCfTOqW
F9t8iAIoov7v1YNYXjN1ZBY=
=iyLk
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Mar 2008 07:33:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:08:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.